import { useColor } from "@/hooks/useColor";
import { Pressable, Text, View } from "react-native";
import BackButton from "./BackButton";

export default function BackButtonTitle({ title, renderContent }: { title: string, renderContent?: React.ReactNode }) {
  const { primary } = useColor();
  return (
    <Pressable className="flex-row justify-between items-center gap-4 mt-2 rounded-xl   ">
      <BackButton />
      <Text className="text-xl font-manrope-bold text-slate-500">{title}</Text>
    {renderContent ? renderContent : <View />}
    </Pressable>
  );
}
